Subject: Re: linux-next: build failure after merge of the rtc tree

From: Alexandre Belloni <[email-masked]>
Date: Thu, 17 Dec 2015 12:21:54 +0100

On 17/12/2015 at 16:03:44 +1100, Stephen Rothwell wrote :
> Hi Alexandre,
> 
> After merging the rtc tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/built-in.o: In function `rtc_time64_to_tm':
> sunxi_sid.c:(.text+0x366e54): undefined reference to `__aeabi_ldivmod'
> sunxi_sid.c:(.text+0x366e6c): undefined reference to `__aeabi_ldivmod'
> 
> Caused by commit
> 
>   bfad4c280be0 ("rtc: fix overflow and incorrect calculation in rtc_time64_to_tm")
> 
> I have used the rtc tree from next-20151216 for today.
> 

Well, the kbuild test robot didn't complain at the time so I assumed
that it was ok to take the patch but indeed, there are more division
further in the function.

Sasha, I think I prefer having 32 bit platforms fail on the 21st of
January 11761191 rather than adding more uses of do_div in the function.
I'll have a look at the performance impact on 32 bit platforms.

-- 
Alexandre Belloni, Free Electrons
Embedded Linux, Kernel and Android engineering
http://free-electrons.com